<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/../models/benutzer.php');


class AnmeldungController
{

    public function start(){
        return view(
            'm5_a1.anmeldung',
            []
        );
    }

    public function anmeldung_verifizieren(RequestData $rd){

        $data = $rd->getPostData();

        $email = $data["email"] ?? NULL;
        $passwort = $data["passwort"] ?? NULL;

        $anmeldung = anmelden($email, sha1($passwort));

        if($anmeldung){

            $log = logger('anmeldung', '../storage/logs');
            $log->info('Anmeldung erfolgreich!');
        }
        else{

            $log = logger('anmeldung', '../storage/logs');
            $log->warning('Anmeldung fehlgeschlagen!');
        }

        return view(
            'm5_a1.anmeldung_verifizieren',
            [
                'email' => $email,
                'passwort' => $passwort,
                'anmeldung' => $anmeldung
            ]
        );
    }

    public function check(RequestData $rd){

        $data = $rd->getPostData();

        $email = $data["email"] ?? NULL;
        $passwort = $data["passwort"] ?? NULL;
        $anmeldung = $data["anmeldung"] ?? NULL;

        return view(
            'm5_a1.anmeldung',
            [
                'email' => $email,
                'passwort' => $passwort,
                'anmeldung' => $anmeldung,
                'data' => $data
            ]
        );
    }


    function abmelden(){

        session_unset();
        session_destroy();

        $log = logger('anmeldung', '../storage/logs');
        $log->info('Abmeldung erfolgreich!');

        return view('m5_a1.abmeldung', []);
    }
}